/* -*- mode: c++; c-basic-offset: 4; -*- */
#ifndef SENDS_DBASE_HH
#define SENDS_DBASE_HH

#include "chan_list.hh"
#include "user_data.hh"
#include "segdb.hh"
#include "seg_pool_mgr.hh"
#include "frame_source.hh"
#include "epoch_table.hh"

namespace sends {

    const unsigned long sends_channel_list_size = 262144;
    const unsigned long sends_user_list_size    = 1024;
    const unsigned long sends_segment_list_size = 16384;
    const unsigned long sends_small_buffer_size = 65536;
    const unsigned long sends_small_pool_size   = 32;
    const unsigned long sends_large_buffer_size = 16777216;
    const unsigned long sends_large_pool_size   = 32;
    const unsigned long sends_xlarge_buffer_size = 33554432;
    const unsigned long sends_xlarge_pool_size  = 8;

    void dump_server(std::ostream& out);
}

#endif // !defined(SENDS_DBASE_HH)
